using Microsoft.Extensions.DependencyInjection;
using NPin.Framework.Ddd.Application;
using NPin.Framework.Upms.Application.Contracts;
using NPin.Framework.Upms.Domain;
using Volo.Abp.BackgroundWorkers.Quartz;

namespace NPin.Framework.Upms.Application;

[DependsOn(
    typeof(NPinFrameworkUpmsApplicationContractsModule),
    typeof(NPinFrameworkUpmsDomainModule),
    // framework
    typeof(NPinFrameworkDddApplicationModule),
    typeof(AbpBackgroundWorkersQuartzModule)
)]
public class NPinFrameworkUpmsApplicationModule : AbpModule
{
    public override void ConfigureServices(ServiceConfigurationContext context)
    {
        context.Services.AddCaptcha();
    }
}